This issue tracker has been migrated to GitHub, and is currently read-only.
For more information, see the GitHub FAQs in the Python's Developer Guide.

classification
Title: weakref doc clarification
Type: behavior Stage: resolved
Components: Versions: Python 3.2, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: ethan.furman, pitrou, python-dev
Priority: normal Keywords: patch

Created on 2012-05-29 16:04 by ethan.furman, last changed 2022-04-11 14:57 by admin. This issue is now closed.

Files
File name Uploaded Description Edit
weakref_doc_updates.diff ethan.furman, 2012-05-29 16:04 review
weakref_doc_updates_v2.diff ethan.furman, 2012-06-27 15:15 review
Messages (5)
msg161895 - (view) Author: Ethan Furman (ethan.furman) * (Python committer) Date: 2012-05-29 16:04
The weak reference docs could be clearer about when weak ref'ed objects are no longer available.  Attached doc patch attempts to do so.
msg164165 - (view) Author: Ethan Furman (ethan.furman) * (Python committer) Date: 2012-06-27 15:15
Changed "... will return the object ..." to " ... may return the object ..."

For reference, here's the new text:

A weak reference to an object is not enough to keep the object alive: when the only remaining references to a referent are weak references,
:term:`garbage collection` is free to destroy the referent and reuse its memory for something else.  However, until the object is actually destroyed the weak reference may return the object even if there are no strong references to it.
msg168705 - (view) Author: Ethan Furman (ethan.furman) * (Python committer) Date: 2012-08-20 22:01
Any problems with the current doc patch?  If not, can it be applied before RC1?
msg168710 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-08-20 22:11
New changeset 8600ae913b63 by Antoine Pitrou in branch '3.2':
Issue #14954: Clarify the interaction of weak references and garbage collection.
http://hg.python.org/cpython/rev/8600ae913b63

New changeset 57c9ed276332 by Antoine Pitrou in branch 'default':
Issue #14954: Clarify the interaction of weak references and garbage collection.
http://hg.python.org/cpython/rev/57c9ed276332
msg168711 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2012-08-20 22:13
This is good, thank you.
History
Date User Action Args
2022-04-11 14:57:31adminsetgithub: 59159
2012-08-20 22:13:05pitrousetstatus: open -> closed

versions: + Python 3.2
nosy: + pitrou

messages: + msg168711
resolution: fixed
stage: resolved
2012-08-20 22:11:01python-devsetnosy: + python-dev
messages: + msg168710
2012-08-20 22:01:38ethan.furmansetmessages: + msg168705
2012-06-27 15:15:32ethan.furmansetfiles: + weakref_doc_updates_v2.diff

messages: + msg164165
2012-05-29 16:04:41ethan.furmancreate